cURL
curl -X GET "https://api.fitsociety.io/public/v1/webhooks/deliveries/66f7b8b1e13c8d25f4d3d91a" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/webhooks/deliveries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/webhooks/deliveries/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"delivery": {
"id": "66f7b8b1e13c8d25f4d3d91a",
"subscriptionId": "66f7b8b1e13c8d25f4d3d90a",
"eventId": "66f7b8b1e13c8d25f4d3d92a",
"eventType": "client.created",
"status": "delivered",
"attemptCount": 1,
"maxAttempts": 3,
"target": {
"type": "url",
"url": "https://example.com/fitsociety/webhooks"
},
"responseStatusCode": 200,
"responseBodyPreview": "{\"ok\":true}",
"errorMessage": "",
"nextAttemptAt": "2023-11-07T05:31:56Z",
"deliveredAt": "2023-11-07T05:31:56Z",
"lastAttemptAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"key": "auth.invalid_token",
"message": "The access token is invalid.",
"details": {}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"key": "auth.invalid_token",
"message": "The access token is invalid.",
"details": {}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"key": "auth.invalid_token",
"message": "The access token is invalid.",
"details": {}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"key": "auth.invalid_token",
"message": "The access token is invalid.",
"details": {}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"key": "auth.invalid_token",
"message": "The access token is invalid.",
"details": {}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Webhooks
Get a webhook delivery
Requires webhook_deliveries:read. Returns delivery status, retry metadata, response status, redacted response preview, and error summary.
GET
/
public
/
v1
/
webhooks
/
deliveries
/
{id}
cURL
curl -X GET "https://api.fitsociety.io/public/v1/webhooks/deliveries/66f7b8b1e13c8d25f4d3d91a" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/webhooks/deliveries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/webhooks/deliveries/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"delivery": {
"id": "66f7b8b1e13c8d25f4d3d91a",
"subscriptionId": "66f7b8b1e13c8d25f4d3d90a",
"eventId": "66f7b8b1e13c8d25f4d3d92a",
"eventType": "client.created",
"status": "delivered",
"attemptCount": 1,
"maxAttempts": 3,
"target": {
"type": "url",
"url": "https://example.com/fitsociety/webhooks"
},
"responseStatusCode": 200,
"responseBodyPreview": "{\"ok\":true}",
"errorMessage": "",
"nextAttemptAt": "2023-11-07T05:31:56Z",
"deliveredAt": "2023-11-07T05:31:56Z",
"lastAttemptAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"key": "auth.invalid_token",
"message": "The access token is invalid.",
"details": {}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"key": "auth.invalid_token",
"message": "The access token is invalid.",
"details": {}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"key": "auth.invalid_token",
"message": "The access token is invalid.",
"details": {}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"key": "auth.invalid_token",
"message": "The access token is invalid.",
"details": {}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"key": "auth.invalid_token",
"message": "The access token is invalid.",
"details": {}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_....
Path Parameters
Webhook delivery id.
Example:
"66f7b8b1e13c8d25f4d3d91a"
⌘I